phy_start_machine
Prev | PHY Support | Next

## Name

phy_start_machine — start PHY state machine tracking

## Synopsis

`void phy_start_machine (` | struct phy_device * | phydev,
| void (* | handler`(`struct net_device *`)``)`;

## Arguments

`phydev`

  the phy_device struct

`handler`

  callback function for state change notifications

## Description

The PHY infrastructure can run a state machine which tracks whether the PHY is starting up, negotiating, etc. This function starts the timer which tracks the state of the PHY. If you want to be notified when the state changes, pass in the callback `handler`, otherwise, pass NULL. If you want to maintain your own state machine, do not call this function.

Prev | Up | Next
phy_find_valid | Home | phy_stop_machine